TechDraw Image/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 32: Line 32:
==Свойства==
==Свойства==


See also [[TechDraw_View#Properties|TechDraw View]].
* Use the Scale property to adjust the size of the image.

* Use the Width and Height properties to clip the image.
=== Data ===

{{TitleProperty|Image}}

* {{PropertyData|Image File|File}}: The file containing this bitmap.
* {{PropertyData|Image Included|FileIncluded}}: Embedded image file. System use only.
* {{PropertyData|Width|Float}}: The width of the cropped image in mm. Only used if {{PropertyView|Crop}} is {{TRUE}}.
* {{PropertyData|Height|Float}}: The height of the cropped image in mm. Idem.

=== View ===

{{TitleProperty|Image}}

* {{PropertyView|Crop|Bool}}: Crop the image to {{PropertyData|Width}} x {{PropertyData|Height}}.


==Программирование==
==Программирование==

Revision as of 09:42, 11 September 2022

Other languages:

Вставить растровое изображение

Системное название
TechDraw_Image
Расположение в меню
TechDraw → Вставить растровое изображение
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Вставить SVG знак

Описание

The Image tool inserts a bitmap image (PNG, TIFF, JPEG, etc.) from a file into the page as a view.

Image inserted in the drawing page

Применение

  1. Press the Insert Bitmap Image button
  2. A file dialog will open. Select a location and file name.

Свойства

See also TechDraw View.

Data

Image

  • ДанныеImage File (File): The file containing this bitmap.
  • ДанныеImage Included (FileIncluded): Embedded image file. System use only.
  • ДанныеWidth (Float): The width of the cropped image in mm. Only used if ВидCrop is true.
  • ДанныеHeight (Float): The height of the cropped image in mm. Idem.

View

Image

  • ВидCrop (Bool): Crop the image to ДанныеWidth x ДанныеHeight.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Image tool can be used in macros and from the Python console by using the following functions:

dvi = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewImage','TestImage')
rc = page.addView(dvi)
dvi.ImageFile = "pathToMy/imageFile.png"
dvi.Height = 200
dvi.Width  = 200